%define upstream_name    Perl-Critic-Compatibility
%define upstream_version 1.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Don't allow three-argument open unless the code uses a version of perl that supports it
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Perl::Critic)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
The included policies are:

* the Perl::Critic::Policy::Compatibility::ProhibitColonsInBarewordHashKeys
  manpage

  Perls after 5.8 don't support having colons in unquoted hash keys.
  [Severity: 5]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.1.0-11.mga10
+ Revision: 2200110
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.1.0-10.mga9
+ Revision: 1805067
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-9.mga8
+ Revision: 1496470
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.1.0-8.mga7
+ Revision: 1270498
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-7.mga6
+ Revision: 1031962
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.1.0-6.mga6
+ Revision: 929720
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 748316
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 513981
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 371666
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 37158
- mageia rebuild
- imported package perl-Perl-Critic-Compatibility

